GEM
  remote: https://anonymous:devcloud@mirrors.huaweicloud.com/repository/rubygems/
  specs:
    actioncable (5.2.7.1)
      actionpack (= 5.2.7.1)
      nio4r (~> 2.0)
      websocket-driver (>= 0.6.1)
    actionmailer (5.2.7.1)
      actionpack (= 5.2.7.1)
      actionview (= 5.2.7.1)
      activejob (= 5.2.7.1)
      mail (~> 2.5, >= 2.5.4)
      rails-dom-testing (~> 2.0)
    actionpack (5.2.7.1)
      actionview (= 5.2.7.1)
      activesupport (= 5.2.7.1)
      rack (~> 2.0, >= 2.0.8)
      rack-test (>= 0.6.3)
      rails-dom-testing (~> 2.0)
      rails-html-sanitizer (~> 1.0, >= 1.0.2)
    actionview (5.2.7.1)
      activesupport (= 5.2.7.1)
      builder (~> 3.1)
      erubi (~> 1.4)
      rails-dom-testing (~> 2.0)
      rails-html-sanitizer (~> 1.0, >= 1.0.3)
    activejob (5.2.7.1)
      activesupport (= 5.2.7.1)
      globalid (>= 0.3.6)
    activemodel (5.2.7.1)
      activesupport (= 5.2.7.1)
    activemodel-serializers-xml (1.0.2)
      activemodel (> 5.x)
      activesupport (> 5.x)
      builder (~> 3.1)
    activerecord (5.2.7.1)
      activemodel (= 5.2.7.1)
      activesupport (= 5.2.7.1)
      arel (>= 9.0)
    activestorage (5.2.7.1)
      actionpack (= 5.2.7.1)
      activerecord (= 5.2.7.1)
      marcel (~> 1.0.0)
    activesupport (5.2.7.1)
      concurrent-ruby (~> 1.0, >= 1.0.2)
      i18n (>= 0.7, < 2)
      minitest (~> 5.1)
      tzinfo (~> 1.1)
    acts_as_list (1.0.4)
      activerecord (>= 4.2)
    acts_as_tree (2.9.1)
      activerecord (>= 3.0.0)
    addressable (2.8.0)
      public_suffix (>= 2.0.2, < 5.0)
    airbrake (13.0.0)
      airbrake-ruby (~> 6.0)
    airbrake-ruby (6.0.2)
      rbtree3 (~> 0.5)
    ajax-datatables-rails (1.3.1)
      zeitwerk
    amq-protocol (2.3.2)
    ansi (1.5.0)
    arel (9.0.0)
    ast (2.4.2)
    autoprefixer-rails (10.4.2.0)
      execjs (~> 2)
    bcrypt (3.1.17)
    bootstrap (5.1.3)
      autoprefixer-rails (>= 9.1.0)
      popper_js (>= 2.9.3, < 3)
      sassc-rails (>= 2.0.0)
    builder (3.2.4)
    bullet (7.0.1)
      activesupport (>= 3.0.0)
      uniform_notifier (~> 1.11)
    bunny (2.19.0)
      amq-protocol (~> 2.3, >= 2.3.1)
      sorted_set (~> 1, >= 1.0.2)
    bunny-mock (1.7.0)
      bunny (>= 1.7)
    byebug (11.1.3)
    capybara (3.36.0)
      addressable
      matrix
      mini_mime (>= 0.1.3)
      nokogiri (~> 1.8)
      rack (>= 1.6.0)
      rack-test (>= 0.6.3)
      regexp_parser (>= 1.5, < 3.0)
      xpath (~> 3.2)
    capybara_minitest_spec (1.0.7)
      capybara (>= 2)
      minitest (>= 4)
    childprocess (4.1.0)
    chunky_png (1.4.0)
    clockwork (3.0.0)
      activesupport
      tzinfo
    cocoon (1.2.15)
    codecov (0.6.0)
      simplecov (>= 0.15, < 0.22)
    codemirror-rails (5.16.0)
      railties (>= 3.0, < 6.0)
    coderay (1.1.3)
    coffee-rails (5.0.0)
      coffee-script (>= 2.2.0)
      railties (>= 5.2.0)
    coffee-script (2.4.1)
      coffee-script-source
      execjs
    coffee-script-source (1.12.2)
    colorize (0.8.1)
    concurrent-ruby (1.1.9)
    concurrent-ruby-ext (1.1.9)
      concurrent-ruby (= 1.1.9)
    coveralls (0.7.1)
      multi_json (~> 1.3)
      rest-client
      simplecov (>= 0.7)
      term-ansicolor
      thor
    crack (0.4.5)
      rexml
    crass (1.0.6)
    cssmin (1.0.3)
    daemons (1.4.1)
    dalli (3.2.1)
    data_migrate (8.0.0)
      activerecord (>= 5.0)
      railties (>= 5.0)
    database_cleaner (2.0.1)
      database_cleaner-active_record (~> 2.0.0)
    database_cleaner-active_record (2.0.1)
      activerecord (>= 5.a)
      database_cleaner-core (~> 2.0.0)
    database_cleaner-core (2.0.1)
    deep_cloneable (2.4.0)
      activerecord (>= 3.1.0, < 6)
    delayed_job (4.1.10)
      activesupport (>= 3.0, < 8.0)
    delayed_job_active_record (4.1.7)
      activerecord (>= 3.0, < 8.0)
      delayed_job (>= 3.0, < 5)
    diff-lcs (1.5.0)
    docile (1.4.0)
    domain_name (0.5.20190701)
      unf (>= 0.0.5, < 1.0.0)
    erubi (1.10.0)
    erubis (2.7.0)
    escape_utils (1.2.1)
    execjs (2.8.1)
    experimental-influxdb-rails (1.0.0.beta5)
      influxdb (~> 0.6, >= 0.6.4)
      railties (>= 4.2)
    factory_bot (6.2.1)
      activesupport (>= 5.0.0)
    factory_bot_rails (6.2.0)
      factory_bot (~> 6.2.0)
      railties (>= 5.0.0)
    faker (2.20.0)
      i18n (>= 1.8.11, < 2)
    feature (1.4.0)
    ffi (1.15.5)
    flot-rails (0.0.7)
      jquery-rails
    font-awesome-sass (6.1.0)
      sassc (>= 2.0)
    globalid (1.0.0)
      activesupport (>= 5.0)
    gssapi (1.3.1)
      ffi (>= 1.0.1)
    haml (5.2.2)
      temple (>= 0.8.0)
      tilt
    haml-rails (2.0.1)
      actionpack (>= 5.1)
      activesupport (>= 5.1)
      haml (>= 4.0.6, < 6.0)
      html2haml (>= 1.0.1)
      railties (>= 5.1)
    haml_lint (0.40.0)
      haml (>= 4.0, < 5.3)
      parallel (~> 1.10)
      rainbow
      rubocop (>= 0.50.0)
      sysexits (~> 1.1)
    hashdiff (1.0.1)
    html2haml (2.2.0)
      erubis (~> 2.7.0)
      haml (>= 4.0, < 6)
      nokogiri (>= 1.6.0)
      ruby_parser (~> 3.5)
    http-accept (1.7.0)
    http-cookie (1.0.4)
      domain_name (~> 0.5)
    i18n (1.10.0)
      concurrent-ruby (~> 1.0)
    influxdb (0.8.1)
    innertube (1.1.0)
    joiner (0.4.2)
      activerecord (>= 5.2.beta1)
    jquery-datatables (1.10.20)
    jquery-rails (4.4.0)
      rails-dom-testing (>= 1, < 3)
      railties (>= 4.2.0)
      thor (>= 0.14, < 2.0)
    jquery-ui-rails (4.2.1)
      railties (>= 3.2.16)
    kaminari (1.2.2)
      activesupport (>= 4.1.0)
      kaminari-actionview (= 1.2.2)
      kaminari-activerecord (= 1.2.2)
      kaminari-core (= 1.2.2)
    kaminari-actionview (1.2.2)
      actionview
      kaminari-core (= 1.2.2)
    kaminari-activerecord (1.2.2)
      activerecord
      kaminari-core (= 1.2.2)
    kaminari-core (1.2.2)
    launchy (2.5.0)
      addressable (~> 2.7)
    lograge (0.11.2)
      actionpack (>= 4)
      activesupport (>= 4)
      railties (>= 4)
      request_store (~> 1.0)
    loofah (2.15.0)
      crass (~> 1.0.2)
      nokogiri (>= 1.5.9)
    mail (2.7.1)
      mini_mime (>= 0.1.1)
    marcel (1.0.2)
    matrix (0.4.2)
    method_source (1.0.0)
    middleware (0.1.0)
    mime-types (3.4.1)
      mime-types-data (~> 3.2015)
    mime-types-data (3.2022.0105)
    mini_mime (1.1.2)
    minitest (5.15.0)
    minitest-ci (3.4.0)
      minitest (>= 5.0.6)
    minitest-fail-fast (0.1.0)
      minitest (~> 5)
    minitest-reporters (1.5.0)
      ansi
      builder
      minitest (>= 5.0)
      ruby-progressbar
    mocha (1.13.0)
    momentjs-rails (2.29.1.1)
      railties (>= 3.1)
    mousetrap-rails (1.4.6)
    multi_json (1.15.0)
    mysql2 (0.5.3)
    netrc (0.11.0)
    nio4r (2.5.8)
    nokogiri (1.13.4-x86_64-linux)
      racc (~> 1.4)
    parallel (1.21.0)
    parser (3.1.1.0)
      ast (~> 2.4.1)
    peek (1.1.0)
      railties (>= 4.0.0)
    peek-dalli (1.2.0)
      concurrent-ruby
      concurrent-ruby-ext
      dalli
      peek
    peek-host (1.0.0)
      peek
    peek-mysql2 (1.2.0)
      concurrent-ruby
      concurrent-ruby-ext
      mysql2
      peek
    pkg-config (1.4.7)
    popper_js (2.9.3)
    power_assert (2.0.1)
    pry (0.13.1)
      coderay (~> 1.1)
      method_source (~> 1.0)
    pry-byebug (3.9.0)
      byebug (~> 11.0)
      pry (~> 0.13.0)
    psych (4.0.3)
      stringio
    public_suffix (4.0.6)
    puma (4.3.11)
      nio4r (~> 2.0)
    pundit (2.2.0)
      activesupport (>= 3.0.0)
    racc (1.6.0)
    rack (2.2.3)
    rack-test (1.1.0)
      rack (>= 1.0, < 3)
    rails (5.2.7.1)
      actioncable (= 5.2.7.1)
      actionmailer (= 5.2.7.1)
      actionpack (= 5.2.7.1)
      actionview (= 5.2.7.1)
      activejob (= 5.2.7.1)
      activemodel (= 5.2.7.1)
      activerecord (= 5.2.7.1)
      activestorage (= 5.2.7.1)
      activesupport (= 5.2.7.1)
      bundler (>= 1.3.0)
      railties (= 5.2.7.1)
      sprockets-rails (>= 2.0.0)
    rails-controller-testing (1.0.5)
      actionpack (>= 5.0.1.rc1)
      actionview (>= 5.0.1.rc1)
      activesupport (>= 5.0.1.rc1)
    rails-dom-testing (2.0.3)
      activesupport (>= 4.2.0)
      nokogiri (>= 1.6)
    rails-html-sanitizer (1.4.2)
      loofah (~> 2.3)
    rails-timeago (2.20.0)
      actionpack (>= 5.2)
      activesupport (>= 5.2)
    rails_tokeninput (1.7.0)
      railties (>= 3.1.0)
    railties (5.2.7.1)
      actionpack (= 5.2.7.1)
      activesupport (= 5.2.7.1)
      method_source
      rake (>= 0.8.7)
      thor (>= 0.19.0, < 2.0)
    rainbow (3.1.1)
    rake (13.0.6)
    rantly (2.0.0)
    rbtree (0.4.5)
    rbtree3 (0.7.0)
    rdoc (6.4.0)
      psych (>= 4.0.0)
    redcarpet (3.5.1)
    regexp_parser (2.2.1)
    request_store (1.5.1)
      rack (>= 1.4)
    responders (3.0.1)
      actionpack (>= 5.0)
      railties (>= 5.0)
    rest-client (2.1.0)
      http-accept (>= 1.7.0, < 2.0)
      http-cookie (>= 1.0.2, < 2.0)
      mime-types (>= 1.16, < 4.0)
      netrc (~> 0.8)
    rexml (3.2.5)
    riddle (2.4.3)
    rspec (3.11.0)
      rspec-core (~> 3.11.0)
      rspec-expectations (~> 3.11.0)
      rspec-mocks (~> 3.11.0)
    rspec-core (3.11.0)
      rspec-support (~> 3.11.0)
    rspec-expectations (3.11.0)
      diff-lcs (>= 1.2.0, < 2.0)
      rspec-support (~> 3.11.0)
    rspec-mocks (3.11.0)
      diff-lcs (>= 1.2.0, < 2.0)
      rspec-support (~> 3.11.0)
    rspec-rails (5.1.1)
      actionpack (>= 5.2)
      activesupport (>= 5.2)
      railties (>= 5.2)
      rspec-core (~> 3.10)
      rspec-expectations (~> 3.10)
      rspec-mocks (~> 3.10)
      rspec-support (~> 3.10)
    rspec-support (3.11.0)
    rspec_junit_formatter (0.5.1)
      rspec-core (>= 2, < 4, != 2.12.0)
    rubocop (1.26.0)
      parallel (~> 1.10)
      parser (>= 3.1.0.0)
      rainbow (>= 2.2.2, < 4.0)
      regexp_parser (>= 1.8, < 3.0)
      rexml
      rubocop-ast (>= 1.16.0, < 2.0)
      ruby-progressbar (~> 1.7)
      unicode-display_width (>= 1.4.0, < 3.0)
    rubocop-ast (1.16.0)
      parser (>= 3.1.1.0)
    rubocop-performance (1.13.3)
      rubocop (>= 1.7.0, < 2.0)
      rubocop-ast (>= 0.4.0)
    rubocop-rails (2.14.2)
      activesupport (>= 4.2.0)
      rack (>= 1.1)
      rubocop (>= 1.7.0, < 2.0)
    rubocop-rspec (2.9.0)
      rubocop (~> 1.19)
    ruby-ldap (0.9.20)
    ruby-progressbar (1.11.0)
    ruby_parser (3.18.1)
      sexp_processor (~> 4.16)
    rubyzip (2.3.2)
    sanitize (6.0.0)
      crass (~> 1.0.2)
      nokogiri (>= 1.12.0)
    sassc (2.4.0)
      ffi (~> 1.9)
    sassc-rails (2.1.2)
      railties (>= 4.0.0)
      sassc (>= 2.0)
      sprockets (> 3.0)
      sprockets-rails
      tilt
    selenium-webdriver (4.1.0)
      childprocess (>= 0.5, < 5.0)
      rexml (~> 3.2, >= 3.2.5)
      rubyzip (>= 1.2.2)
    set (1.0.2)
    sexp_processor (4.16.0)
    shoulda-matchers (4.5.1)
      activesupport (>= 4.2.0)
    simplecov (0.21.2)
      docile (~> 1.1)
      simplecov-html (~> 0.11)
      simplecov_json_formatter (~> 0.1)
    simplecov-html (0.12.3)
    simplecov_json_formatter (0.1.4)
    single_test (0.6.0)
      rake
    sorted_set (1.0.3)
      rbtree
      set (~> 1.0)
    sprite-factory (1.7.1)
    sprockets (4.0.3)
      concurrent-ruby (~> 1.0)
      rack (> 1, < 3)
    sprockets-rails (3.4.2)
      actionpack (>= 5.2)
      activesupport (>= 5.2)
      sprockets (>= 3.0.0)
    stringio (3.0.1)
    sync (0.5.0)
    sysexits (1.2.0)
    temple (0.8.2)
    term-ansicolor (1.7.1)
      tins (~> 1.0)
    test-unit (3.5.3)
      power_assert
    thinking-sphinx (5.4.0)
      activerecord (>= 4.2.0)
      builder (>= 2.1.2)
      innertube (>= 1.0.2)
      joiner (>= 0.3.4)
      middleware (>= 0.1.0)
      riddle (~> 2.3)
    thor (1.2.1)
    thread_safe (0.3.6)
    tilt (2.0.10)
    timecop (0.9.5)
    tins (1.31.0)
      sync
    tzinfo (1.2.9)
      thread_safe (~> 0.1)
    uglifier (4.2.0)
      execjs (>= 0.3.0, < 3)
    unf (0.1.4)
      unf_ext
    unf_ext (0.0.8.1)
    unicode-display_width (2.1.0)
    uniform_notifier (1.14.2)
    vcr (6.1.0)
    voight_kampff (1.1.4)
      rack (>= 1.4, < 3.0)
    webmock (3.14.0)
      addressable (>= 2.8.0)
      crack (>= 0.3.2)
      hashdiff (>= 0.4.0, < 2.0.0)
    webrick (1.7.0)
    websocket-driver (0.7.5)
      websocket-extensions (>= 0.1.0)
    websocket-extensions (0.1.5)
    xmlhash (1.3.8)
      pkg-config
    xmlrpc (0.3.2)
      webrick
    xpath (3.2.0)
      nokogiri (~> 1.8)
    yajl-ruby (1.4.2)
    zeitwerk (2.5.4)

PLATFORMS
  x86_64-linux

DEPENDENCIES
  activemodel-serializers-xml
  acts_as_list
  acts_as_tree
  addressable
  airbrake
  airbrake-ruby
  ajax-datatables-rails
  bcrypt
  bootstrap
  builder
  bullet
  bunny
  bunny-mock
  capybara
  capybara_minitest_spec
  chunky_png
  clockwork (>= 0.7)
  cocoon
  codecov
  codemirror-rails
  coffee-rails
  colorize
  coveralls
  cssmin (>= 1.0.2)
  daemons
  dalli
  data_migrate
  database_cleaner (>= 1.0.1)
  deep_cloneable (~> 2.4.0)
  delayed_job_active_record (>= 4.0.0)
  escape_utils
  experimental-influxdb-rails (>= 1.0.0.beta5)
  factory_bot_rails
  faker
  feature
  flot-rails
  font-awesome-sass
  gssapi
  haml
  haml-rails
  haml_lint
  jquery-datatables
  jquery-rails
  jquery-ui-rails (~> 4.2.1)
  kaminari
  launchy
  lograge
  minitest
  minitest-ci
  minitest-fail-fast
  minitest-reporters
  mocha (> 0.13.0)
  momentjs-rails
  mousetrap-rails
  mysql2
  nokogiri
  peek
  peek-dalli
  peek-host
  peek-mysql2
  pry (>= 0.9.12)
  pry-byebug
  puma (~> 4.0)
  pundit
  rails (~> 5.2)
  rails-controller-testing
  rails-timeago (~> 2.0)
  rails_tokeninput (>= 1.6.1.rc1)
  rantly
  rdoc
  redcarpet
  responders (~> 3.0)
  rspec
  rspec-rails
  rspec_junit_formatter
  rubocop
  rubocop-performance
  rubocop-rails
  rubocop-rspec
  ruby-ldap
  sanitize
  sassc-rails
  selenium-webdriver
  shoulda-matchers (~> 4.0)
  simplecov
  single_test
  sprite-factory (>= 1.5.2)
  test-unit
  thinking-sphinx (> 3.1)
  tilt (>= 1.4.1)
  timecop
  uglifier (>= 1.2.2)
  vcr
  voight_kampff
  webmock (>= 2.3.0)
  xmlhash (>= 1.3.6)
  xmlrpc
  yajl-ruby

BUNDLED WITH
   2.2.33
